# Class DotEmphasisMark

#### Hierarchy

- BaseEmphasisMark
  - DotEmphasisMark

- Defined in src/file/paragraph/run/emphasis-mark.ts:24

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new DotEmphasisMark(): DotEmphasisMark

- #### Returns DotEmphasisMark

  Overrides BaseEmphasisMark.constructor

  - Defined in src/file/paragraph/run/emphasis-mark.ts:25

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from BaseEmphasisMark.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from BaseEmphasisMark.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc